Bug 711845 - Update of Boost to 1.47
Update of Boost to 1.47
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Benjamin Kosnik
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 724015 724818 725194
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-08 13:44 EDT by Denis Arnaud
Modified: 2013-08-09 01:50 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 656410
Environment:
Last Closed: 2011-11-22 10:03:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Denis Arnaud 2011-06-08 13:44:13 EDT
+++ This bug was initially created as a clone of Bug #656410 +++
+++ This bug was initially created as a clone of Bug #607615 +++
+++ This bug was initially created as a clone of Bug #520087 +++

Boost 1.46 has been delivered so far
(http://sourceforge.net/projects/boost/files/boost/1.46.1/), and Boost 1.47 (http://sourceforge.net/projects/boost/files/boost/1.47.0/))
will be delivered very shortly (this week or next week).

On the other hand, Boost 1.48 should be delivered around beginning of September 2011 (http://www.boost.org/development/index.html and, when available,
http://sourceforge.net/projects/boost/files/boost/1.48.0/), leaving not enough time to package that version for Fedora 16 (https://fedoraproject.org/wiki/Releases/16 => the feature freeze should happen at the end of July 2011).

Fedora 16 and Rawhide should ship with Boost 1.47. A Fedora feature has
been submitted: https://fedoraproject.org/wiki/Features/F16Boost147
Comment 1 Petr Machata 2011-07-07 08:06:18 EDT
There was a brief discussion of making 1.48.0 a quick release, with brief release cycle, but it doesn't seem that anything in particular came out of that discussion:
  http://lists.boost.org/Archives/boost/2011/06/182880.php

Should the quick schedule materialize, we could expect 1.48 to come out Aug 1-ish.  F 16 alpha deadline is Aug 2, so that's too late already.  Besides, if 1.48 final is to be out that soon, 1.48 beta should be out two weeks earlier, that is about Jul 18.  But 1.47 final is not out yet, so this is unlikely to materialize.  So let's just go with 1.47 like you propose.
Comment 2 Denis Arnaud 2011-07-14 21:48:39 EDT
Successful build of Boost-1.47.0 on Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3200209 (there was an issue with Koji itself for the x86_64 build: "cmake not found"...)
Comment 3 Denis Arnaud 2011-07-14 22:24:31 EDT
Successful build of Boost-1.47.0 on Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3200230 (there was still an issue with Koji itself for the i386 packages: "sed: command not found"...)
Comment 4 Rex Dieter 2011-07-21 14:13:19 EDT
should or can we use this to track boost-1.47-related FTBFS ?
Comment 5 Petr Machata 2011-07-21 14:22:53 EDT
Sure, that would be helpful.
Comment 6 Denis Arnaud 2011-11-22 10:03:30 EST
Fedora 16 was released with Boost-1.47.0 two weeks ago.

A bug (#751210) has been identified and quickly fixed (https://admin.fedoraproject.org/updates/FEDORA-2011-15416/boost-1.47.0-4.fc16).

That feature request can now be closed.

Another feature request tracks Boost-1.48 for Fedora 17 (#754865). Enjoy!

Note You need to log in before you can comment on or make changes to this bug.